Package: groovy.model

## [Java] Class DefaultTableColumn

- groovy.model.DefaultTableColumn

- Represents a column using a ValueModel to extract the value.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TableColumn` | `COLUMN_WIDTH_PROPERTY, HEADER_VALUE_PROPERTY, HEADER_RENDERER_PROPERTY, CELL_RENDERER_PROPERTY`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultTableColumn (ValueModel valueModel)`
    `DefaultTableColumn (Object header, ValueModel valueModel)`
    `DefaultTableColumn (Object headerValue, Object identifier, ValueModel columnValueModel)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Class` | `getType()` @return the column type
    `` | `Object` | `getValue(Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
    `` | `ValueModel` | `getValueModel()`
    `` | `void` | `setValue(Object row, Object value, int rowIndex, int columnIndex)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TableColumn` | `addPropertyChangeListener, getIdentifier, getWidth, getPropertyChangeListeners, removePropertyChangeListener, setModelIndex, getModelIndex, setIdentifier, setHeaderValue, getHeaderValue, setHeaderRenderer, getHeaderRenderer, setCellRenderer, getCellRenderer, setCellEditor, getCellEditor, setWidth, setPreferredWidth, getPreferredWidth, setMinWidth, getMinWidth, setMaxWidth, getMaxWidth, setResizable, getResizable, sizeWidthToFit, disableResizedPosting, enableResizedPosting, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object value

  - ### Constructor Detail

    - #### public DefaultTableColumn(ValueModel valueModel)

    - #### public DefaultTableColumn(Object header, ValueModel valueModel)

    - #### public DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)

  - ### Method Detail

    - #### public Class getType()

      Returns:
        the column type

    - #### public Object getValue(Object row, int rowIndex, int columnIndex)

      Evaluates the value of a cell

      Returns:
        the value
      Parameters:
        `row` - the row of interest
        `rowIndex` - the index of the row of interest
        `columnIndex` - the column of interest

    - #### public ValueModel getValueModel()

    - #### public void setValue(Object row, Object value, int rowIndex, int columnIndex)

    - #### public String toString()